const Parse = getApp().Parse;
const company = getApp().globalData.company
Page({

    /**
     * 页面的初始数据
     */
    data: {
        id: "",
        shopOrder: {},

        // fileList: {},
        content: null,
    },
    // onChange(event) {
    //     this.setData({
    //         value: event.detail,
    //     });
    // },
    blur(e) {
        let name = e.currentTarget.dataset.name
        this.setData({
            [name]: e.detail.value
        })
    },
    changeFile(e) {
        console.log(e);
        let fileList = e.detail
        this.setData({
            fileList
        })
    },
    async getShopOrder() {
        let id = this.data.id
        console.log(id);
        let ShopOrder = new Parse.Query('RoomOrder')
        ShopOrder.include('room')
        let shopOrder = await ShopOrder.get(id)
        this.setData({
            shopOrder: shopOrder.toJSON(),

        })
        console.log(this.data.shopOrder);
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function(options) {
        let id = options.id
        this.setData({
            id: id
        })
        this.getShopOrder()
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function() {

    }
})